Skip to content

GET DNS Monitor Summary.

GET
/api/observability/synthetic_monitor/namespaces/{namespace}/dns-monitor-summary
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/observability/synthetic_monitor/namespaces/example/dns-monitor-summary \
--header 'Authorization: <Authorization>'

Returns the DNS monitor health status, latency, and trend.

Examples of this operation.

namespace
required
string

Namespace Request namespace.

start_time
string

Start_time. X-required Start time for requested monitor data.

end_time
string

End_time. End time for requested monitor data (default: current time)

monitor_name
string

Monitor_name. Monitor name.

A successful response.

Media typeapplication/json
GetDNSMonitorSummaryResponse

DNS monitor summary of latency and trend data.

object
avg_latency
avg_latency

Average monitor latency, unit is ms.

string
<= 1024 characters
health
health

Monitor health.

string
<= 1024 characters
last_critical_event_timestamp
last_critical_event_timestamp

The timestamp of the last critical event on the monitor.

string
<= 1024 characters
latency
latency

Current monitor latency, unit is ms.

string
<= 1024 characters
max_latency
max_latency

Maximum monitor latency, unit is ms.

string
<= 1024 characters
trend
trend

Current monitor health trend.

string
<= 1024 characters
Examplegenerated
{
"avg_latency": "example",
"health": "example",
"last_critical_event_timestamp": "example",
"latency": "example",
"max_latency": "example",
"trend": "example"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example